package it.integry.integrywmsnative.gest.contab_doc_interni.dto;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ColloDTO {

	private String codMdep;
	private String createdDate;
	private String annotazioni;
	private String gestione;
	private String segno;
	private String idDisp;
	private String codDtip;
	private String codAnag;
	private String codVdes;
	private Integer numDoc;
	private Date dataDoc;
	private List<ArtDTO> artRows = new ArrayList<>();
	private RifOrd rifOrd;

	public String getCodMdep() {
		return codMdep;
	}

	public void setCodMdep(String codMdep) {
		this.codMdep = codMdep;
	}

	public String getCreatedDate() {
		return createdDate;
	}

	public void setCreatedDate(String createdDate) {
		this.createdDate = createdDate;
	}

	public String getAnnotazioni() {
		return annotazioni;
	}

	public void setAnnotazioni(String annotazioni) {
		this.annotazioni = annotazioni;
	}

	public String getGestione() {
		return gestione;
	}

	public void setGestione(String gestione) {
		this.gestione = gestione;
	}

	public String getSegno() {
		return segno;
	}

	public void setSegno(String segno) {
		this.segno = segno;
	}

	public String getIdDisp() {
		return idDisp;
	}

	public void setIdDisp(String idDisp) {
		this.idDisp = idDisp;
	}

	public String getCodDtip() {
		return codDtip;
	}

	public void setCodDtip(String codDtip) {
		this.codDtip = codDtip;
	}

	public List<ArtDTO> getArtRows() {
		return artRows;
	}

	public void setArtRows(List<ArtDTO> artRows) {
		this.artRows = artRows;
	}

	public void addArtRow(ArtDTO artRow){
		this.artRows.add(artRow);
	}

	public RifOrd getRifOrd() {
		return rifOrd;
	}

	public String getCodAnag() {
		return codAnag;
	}

	public ColloDTO setCodAnag(String codAnag) {
		this.codAnag = codAnag;
		return this;
	}

	public Integer getNumDoc() {
		return numDoc;
	}

	public ColloDTO setNumDoc(Integer numDoc) {
		this.numDoc = numDoc;
		return this;
	}

	public Date getDataDoc() {
		return dataDoc;
	}

	public ColloDTO setDataDoc(Date dataDoc) {
		this.dataDoc = dataDoc;
		return this;
	}

	public String getCodVdes() {
		return codVdes;
	}

	public ColloDTO setCodVdes(String codVdes) {
		this.codVdes = codVdes;
		return this;
	}

	public void setRifOrd(RifOrd rifOrd) {
		this.rifOrd = rifOrd;
	}

	public static class RifOrd {

		private Date dataOrd;

		private Integer numOrd;

		private String chiaveOrd;

		public Date getDataOrd() {
			return dataOrd;
		}

		public void setDataOrd(Date dataOrd) {
			this.dataOrd = dataOrd;
		}

		public Integer getNumOrd() {
			return numOrd;
		}

		public void setNumOrd(Integer numOrd) {
			this.numOrd = numOrd;
		}

		public String getChiaveOrd() {
			return chiaveOrd;
		}

		public void setChiaveOrd(String chiaveOrd) {
			this.chiaveOrd = chiaveOrd;
		}
	}
}
